package com.njcn.pojo.configuration;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * 变电站信息表
 * */
@Table(name="PQ_SUBSTATION")
public class SubStation {

	@Id
	@Column(name="SUB_INDEX")
	private Long subIndex;
	
	@Column(name="GD_INDEX")
	private Long gdIndex;
	
	@Column(name="NAME")
	private String name;
	
	@Column(name="SCALE")
	private String scale;
	@Transient
	private GDInformation gd;

	
	public GDInformation getGd() {
		return gd;
	}

	public void setGd(GDInformation gd) {
		this.gd = gd;
	}

	public Long getSubIndex() {
		return subIndex;
	}

	public void setSubIndex(Long subIndex) {
		this.subIndex = subIndex;
	}

	public Long getGdIndex() {
		return gdIndex;
	}

	public void setGdIndex(Long gdIndex) {
		this.gdIndex = gdIndex;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getScale() {
		return scale;
	}

	public void setScale(String scale) {
		this.scale = scale;
	}

	@Override
	public String toString() {
		return "SubStation [subIndex=" + subIndex + ", gdIndex=" + gdIndex + ", name=" + name + ", scale=" + scale + ", gd=" + gd + "]";
	}
	
	
	
}
